#ifndef %{APPNAME}_PLUGIN_H
#define %{APPNAME}_PLUGIN_H

#include <tqwidget.h>
#include <tqguardedptr.h>

#include <opie/todayplugininterface.h>
#include <opie/todayconfigwidget.h>

#include "%{APPNAMELC}widget.h"

// implementation of the today plugin interface
class %{APPNAME} : public TodayPluginObject {

public:
    %{APPNAME}();
    ~%{APPNAME}();

    TQString pluginName()  const;
    double versionNumber() const;
    TQString pixmapNameWidget() const;
    TQWidget* widget(TQWidget *);
    TQString pixmapNameConfig() const;
    TodayConfigWidget* configWidget(TQWidget *);
    TQString appName() const;
    bool excludeFromRefresh() const;
    void refresh();
    void reinitialize();

 private:
   TQGuardedPtr<%{APPNAME}Widget> m_widget;
};

#endif
